<?php
/*
 *  Version 1.0
 *  Created 2021-MAR-23
 *  https://wwww.aeq-web.com
 * 
 */

$filename = 'data.txt';

if (file_exists($filename)) {
    $file = fopen("data.txt", 'r');
    $data = fgets($file);
    fclose($file);

    $sep = explode(";", $data);

    $lat = $sep[0];
    $lon = $sep[1];
    $alt = $sep[2];
    $sat = $sep[3];
    $time = $sep[4];
    $devname = $sep[5];

    $info_out = "LAT: " . $lat . " LON: " . $lon . " ALT: " . $alt . "m <br> SAT: " . $sat . " ZEIT: " . $time;
} else {
    $info_out = "Error: " . $filename . " not exists";
}
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de-de">
    <head>
        <title>LoRAWAN GPS Viewer</title>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta http-equiv="content-script-type" content="text/javascript" />
        <meta http-equiv="content-style-type" content="text/css" />
        <meta http-equiv="content-language" content="de" />
        <link rel="stylesheet" type="text/css" href="map.css"></link>
        <script type="text/javascript" src="https://openlayers.org/api/OpenLayers.js"></script>
        <script type="text/javascript" src="https://openstreetmap.org/openlayers/OpenStreetMap.js"></script>
        <script type="text/javascript" src="map.js"></script>

        <script type="text/javascript">

            var map;
            var layer_mapnik;
            var layer_tah;
            var layer_markers;

            function drawmap() {
                var popuptext = "<?php echo $devname; ?>";

                OpenLayers.Lang.setCode('de');

                var lon = <?php echo $lon; ?>;
                var lat = <?php echo $lat; ?>;
                var zoom = 19;

                map = new OpenLayers.Map('map', {
                    projection: new OpenLayers.Projection("EPSG:900913"),
                    displayProjection: new OpenLayers.Projection("EPSG:4326"),
                    controls: [
                        new OpenLayers.Control.Navigation(),
                        new OpenLayers.Control.LayerSwitcher(),
                        new OpenLayers.Control.PanZoomBar()],
                    maxExtent:
                            new OpenLayers.Bounds(-20037508.34, -20037508.34,
                                    20037508.34, 20037508.34),
                    numZoomLevels: 18,
                    maxResolution: 156543,
                    units: 'meters'
                });

                layer_mapnik = new OpenLayers.Layer.OSM.Mapnik("Mapnik");
                layer_markers = new OpenLayers.Layer.Markers("Address", {projection: new OpenLayers.Projection("EPSG:4326"),
                    visibility: true, displayInLayerSwitcher: false});

                map.addLayers([layer_mapnik, layer_markers]);
                jumpTo(lon, lat, zoom);

                addMarker(layer_markers, <?php echo $lon ?>, <?php echo $lat ?>, popuptext);

            }
        </script>

    </head>
    <body onload="drawmap();">

        <div id="topline">
            <h3>LoRaWAN GPS MAP</h3>
            <p><?php echo $info_out; ?></p>
        </div>      
        <div id="header">
            <div id="osm">© <a href="http://www.openstreetmap.org">OpenStreetMap</a>
                und <a href="http://www.openstreetmap.org/copyright">Mitwirkende</a>,
                <a href="http://creativecommons.org/licenses/by-sa/2.0/deed.de">CC-BY-SA</a>
            </div>
        </div>

        <div id="map">
        </div>

    </body>
</html>